#{extends 'border.html'/}
<div class="container">

	<div class="row">
		<div class="col-md-12">
			<!-- Breadcrumb -->
			<ol class="breadcrumb">
				<li><a href="@{PublikCtr.home()}">&{'beranda.label'}</a></li>
				<li><a href="@{PublikCtr.listUsulan()}">&{'penawaran.label'}</a></li>
				<li class="active">&{'pengajuan_penawaran.label'}</li>
			</ol>
			<!-- End Breadcrumb -->
		
			#{alert /}
		</div>
	</div>
	
	<div class="row">
		<div class="wizard-form-wrapper">
			<div class="padded">
				<div id="rootwizard">
					<div class="wizard-header">
						<div class="row">
							<div class="col-md-7 col-md-offset-3">
								<div class="navbar">
									<div class="navbar-inner">
										<ul>
											<li>
												<a href="#tab1" data-toggle="tab" class="btn-circle">1</a>
												<span>&{'data_sikap.label'}</span>
											</li>
											<li>
												<a href="#tab2" data-toggle="tab" class="btn-circle">2</a>
												<span>&{'informasi.label'} PIC</span>
											</li>
											<li>
												<a href="#tab3" data-toggle="tab" class="btn-circle">3</a>
												<span>&{'unggah.label'} &{'dokumen_penawaran.label'}</span>
											</li>
										</ul>
									</div>
								</div>
							</div>
						</div>
					</div>
					
					<div class="wizard-body">
						<div class="panel panel-default">
							<div class="panel-body">
								<div class="row">
									<div class="col-md-12">
										<div id="bar" class="progress">
											<div class="progress-bar" role="progressbar" aria-valuenow="0"
												aria-valuemin="0" aria-valuemax="100" style="width: 0%;"></div>
										</div>
									</div>
								</div>
								
								<div class="row">
									#{form @prakatalog.PenawaranCtr.createSubmit(), method:'POST', class:'form-horizontal', enctype:'multipart/form-data'}
									<input type="hidden" name="rkn_id" value="${rkn_id}"/>
									<input type="hidden" name="penawaran.usulan_id" value="${usulan_id}"/>
									<input type="hidden" name="komoditas_id" value="${komoditas.id}"/>
									<div class="tab-content">
						                <div class="tab-pane" id="tab1">
						                    <ul class="nav nav-tabs" role="tablist">
						                        <li role="presentation" class="active">
													<a href="#identitas" aria-controls="group-role" role="tab" data-toggle="tab">&{'identitas.label'}</a>
						                        </li>
												#{list kualifikasiUsulanList, as:'kualifikasi'}
													<li role="presentation">
														<a href="#${kualifikasi.jenis_kualifikasi}"
														   class="" aria-controls="group-role" role="tab" data-toggle="tab">
															${kualifikasi.jenis_kualifikasi_alias}
														</a>
													</li>
												#{/list}
						                    </ul>
						
						                    <div class="tab-content">
												#{include 'prakatalog/PenawaranCtr/wizard/tab-sikap/tab-identitas.html'/}
						
												#{list kualifikasiUsulanList, as:'kualifikasi'}
													#{include 'prakatalog/PenawaranCtr/wizard/tab-sikap/tab-'+kualifikasi.jenis_kualifikasi+'.html'/}
												#{/list}
						
						                    </div>
						                </div>
						                <div class="tab-pane" id="tab2">
											#{include 'prakatalog/PenawaranCtr/wizard/tab-informasipic.html' /}
						                </div>
                                        <div class="tab-pane" id="tab3">
											#{include 'prakatalog/PenawaranCtr/wizard/tab-dokumenpenawaran.html'/}
										</div>

										<ul class="pager wizard">
											<li class="previous"><a href="#">&{'sebelumnya.label'}</a></li>
											<li class="next"><a href="#">&{'berikutnya.label'}</a></li>
											<li class="simpan"><button type="button" class="btn btn-md btn-primary btn-simpan">&{'simpan.label'}</button></li>
										</ul>
									</div>
									#{/form}
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>

</div>
#{validationPackage/}
#{set 'moreScripts'}
<script type="text/javascript" src="@{'public/javascripts/bootstrap-notify.min.js'}"></script>
<script src="@{'/public/javascripts/toast/jquery.toast.min.js'}" type="text/javascript"> </script>
<script type="text/javascript">

	var pulled_data = [];

	$(document).ready(function() {

		$('.form-horizontal').validate({
			highlight: function(element) {
				$(element).parents('.form-group').addClass('has-error');
			},
			unhighlight: function(element) {
				$(element).parents('.form-group').removeClass('has-error');
			}
		});
		
		$('#rootwizard').bootstrapWizard({
			onTabShow : function(tab, navigation, index) {
				$('.next').show();
				$('.simpan').hide();
				var $total = navigation.find('li').length;
				var $current = index + 1;
				var $percent = ($current / $total) * 100;
				$('#rootwizard .progress-bar').css({
					width : $percent + '%'
				});
				
				if($current === $total) {
					$('.next').hide();
					$('.simpan').css('float', 'right');
					$('.simpan').show();
				}
			},
			onTabClick: function(tab, navigation, index) {
				// alert('on tab click disabled');
				return false;
			},
			onNext: function (tab, navigation, index) {
				return validatePage(index);
			}
		});

        var rkn_id = "${rkn_id}";

		#{list kualifikasiUsulanList, as:'k'}
            getDataSikap("${k.jenis_kualifikasi}", rkn_id);
		#{/list}

		$('.btn-simpan').click(function(){
			if($('input[type="file"]').map(function(){ return $(this).val();}).toArray().indexOf("") > -1){
				$.notify(
				{
					title : '<strong><h3>Warning</h3></strong>',
					message : 'Dokumen Penawaran belum lengkap.'
				}, 
				{
					type : 'warning',
					offset : { x : 70, y : 115}
				});
			}
			else if($('input[type="text"][name*="keterangan"]').valid()){
                $(".btn-simpan").hide();
                jQuery.toast({
                    heading: 'Mohon Tunggu',
                    text: 'Memproses penyimpanan Penawaran',
                    position: 'bottom-center',
                    stack: false,
                    icon: 'success',
                    hideAfter: 6000
                });
				$('.form-horizontal').submit();
			}
		});

		$('input[type="file"]').change(function(){
			arrFile = $('input[type="file"]').map(function(){ return $(this).val();});
			strFile = $(this).val();
			idx = $('input[type="file"]').index($(this));
			arrFile[idx] = "";
			if(arrFile.toArray().indexOf(strFile) > -1){
				$(this).val(null);
				$.notify(
				{
					title : '<strong><h3>Warning</h3></strong>',
					message : 'File sudah digunakan.'
				}, 
				{
					type : 'warning',
					offset : { x : 70, y : 115}
				});
			}
		});

	});

	function validatePage(index){
		if(index == 2) return $('input[type="text"][name*="penawaran"],textarea[name*="penawaran"]').valid();
		return true;
	}

	 function getDataSikap (kualifikasi, rkn_id) {

		$.ajax({
			type:'post',
			url:'@{prakatalog.PenawaranCtr.getDataSikap()}',
			dataType:'json',
			data:{
				jenis_kualifikasi:kualifikasi,
				rkn_id: rkn_id
			},
			success: function(data){

				var html = populateDataSikap(data,kualifikasi);
				if(kualifikasi != "akta"){
					$("#tbl-"+kualifikasi+" tbody").html(html);
				}
			}
		});

	};

</script>
#{/set}
